<template>
    <div class="login">
      <v-spaces :height="'100rpx'"></v-spaces>
      <div class="text" >
        <v-spaces :height="'50rpx'"></v-spaces>
        <!--<div class="tip">-->
         <!--尊敬的用户，您好！-->
        <!--</div>-->
        <div class="content" >
          本系统为北京珠穆朗玛移动通信有限公司内部业务系统，为保证系统的安全性，并为后续销售激励作准备，使用者需在身份验证后方可使用。
        </div>
      </div>
        <v-spaces :height="'80rpx'"></v-spaces>
      <div class='tel'>
        <div  class='txt' >身份证号</div>
        <span class="red">*</span>
        <input  placeholder='请输入您的真实身份证号码'   class='input' style="border:none;" maxlength="18" @input="personNum($event)" :value ="personnum"></input>
      </div>
      <!-- <div class='tel'>
        <div  class='txt' >开户银行</div>
        <span class="red">*</span>
        <input  placeholder='请输入开户银行'  class='input' style="border:none;" maxlength="200" @input="bankName($event)" :value ="bankname"></input>
      </div>
      <div class='tel'>
        <div  class='txt' >银行账号</div>
        <span class="red">*</span>
        <input  placeholder='请输入银行账号'  class='input' type="number" style="border:none;" maxlength="200" @input="bankNum($event)" :value ="banknum"></input>
      </div> -->
        <v-spaces :height="'22px'"></v-spaces>
        <v-footer :footer="'下一步'"  @footerEmit="
        enter"></v-footer>
        <v-hintbox :hintbox="hintbox" @close="close" ></v-hintbox>
     </div>
</template>
<script>
  import config from '@/config'
  import {VeevlinkLogin,VeevlinkIslogin,VeevlinkClient,VeevlinkData} from '@/utils/base'
  import spaces from '@/components/spaces/spaces.vue'
  import footer from '@/components/footer/footer.vue'
  import hintbox from '@/components/hintbox/hintbox.vue'
  import {IDValidator }from '@/utils/validation'
  import '../../../static/css/reset.css';
  let mta= require('@/utils/mta_analysis.js');
  export default {
    data(){
      return{
      hintbox:{
            text :'',
            show : false
          },
        personnum:'',
        banknum:'',
        bankname:'',
        contactid:"",
        status: false

      }
    },
    components:{
      'v-spaces':spaces,
      'v-footer':  footer,
      'v-hintbox' : hintbox
    },
    computed:{
      // 登录状态按钮禁用
      status(){
        console.log('status:'+this.gainAuthCodeAction);
        if( this.gainAuthCodeAction ){
          return true;
        }else{
          return false;
        }

      },
      // 获取验证码
      gainAuthCodeAction: function () {
        // 身份证号是否符规则
        let that = this;
        let val = IDValidator();
        console.log(val.isValid(that.personnum));
        // let reg = /(^\d{15}$)|(^\d{18}$)|(^\d{17}(\d|X|x)$)/;
        // console.log(reg.test(that.personnum));
        if(!val.isValid(that.personnum)){
          return false;
        }else{
          return true;
        }
      }
    },
    methods:{
       close(text){
        this.hintbox.show = false;
        this.hintbox.text = '';
      },
      getAjax(){
        //调用信息完善接口
        let that = this;
        let veevlink = VeevlinkData();
        if(that.personnum === ''){
          this.hintbox.show = true;
          this.hintbox.text = '请输入您的真实身份证号码!';
          return;
        }
        let val = IDValidator();
        if(!val.isValid(that.personnum)){
          this.hintbox.show = true;
          this.hintbox.text = '您输入的身份证号码不正确，请重新输入！';
          return;
        }
        console.log(veevlink);
        let VerificationCodeEntity =  wx.getStorageSync('VerificationCodeEntity');
        console.log(VerificationCodeEntity.notfirstlogin);
        that.contactid = wx.getStorageSync('contactId');
        let information = wx.getStorageSync('informationwxe3786e0f1c17f2f9');
        console.log(information);
        console.log(that.contactid);
        console.log(information.OpenId);
        let data = {
          accountid: VerificationCodeEntity.accountid,
          contactid: VerificationCodeEntity.contactid,
          idcardno: this.personnum,
          bankname: this.bankname,
          bankaccount: this.banknum,
          openId: information.OpenId
        }
        console.log(data);
        VeevlinkClient(
                '/user/update',
                'POST',
                data,
                function (success) {
                    console.log(success);
                    let VerificationCodeEntity = wx.getStorageSync('VerificationCodeEntity');
                    console.log(VerificationCodeEntity.notfirstlogin);
                    config.href(config.Home,true);
                    // if(VerificationCodeEntity.notfirstlogin === true){
                    //   config.href(config.Home,true);
                    //   console.log("信息完善成功！");
                    // }else{
                    //   config.href(config.UserInfoImprove);
                    //   console.log("再次完善信息！");
                    // }
                },
                function (error) {
                    console.log(error);
                     that.hintbox.show = true;
                    that.hintbox.text = "信息完善失败！";
                    console.log("信息完善失败！");
                })


      },
      // 进入到首页
      enter(){
        this.getAjax();
      },

      bankNum(data){
        let that = this;
        that.banknum = data.mp.detail.value;
      },
      personNum(data){
        let that = this;
        that.personnum = data.mp.detail.value;
        },
      bankName(data){
        let that = this;
        that.bankname = data.mp.detail.value;
      }

    },
    async onLoad() {
      mta.Page.init();
    }
  }
</script>
<style  lang="scss"  type="text/scss" scoped >
.text{
  text-align: center;
  color: #ffffff;
  font-size: 32rpx;
  width: 330px;

  margin: 0 auto;
  }
  .title{
      font-size: 32rpx;
    color: #C98E52;

  }
  .tip,.content{
     font-size: 32rpx;
     text-align: left;
    color: #C98E52;

  }
  .content{
    text-indent: 2em;
    line-height: 30px;
    }
.login{
  .header{
    img{
      width: 100%;
      height: 2.2rem;
      background:linear-gradient(90deg,rgba(20,20,20,1),rgba(20,20,20,0))
    }
  }
  .input{
    position: relative;
    left:15px;
    top: 11px;
    width: 300px;
    font-size: 16px;
  }
}
.tel{
  width: 335px;
  color: #ffffff;
  margin-left: 15px;
  height: 46px;
  line-height: 46px;
  border-bottom: 1px solid #979797;
  display: flex;
}
.txt{
  width: 80px;
  color: #C98E52;
  text-align: left;
  height: 46px;
  line-height: 46px;
  font-size: 16px;
}
  .red{
    color: red;
  }
</style>


